import { PartManagerBase } from "./PartManagerBase";
import { OfficeApplication } from "./OfficeApplication";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class CustomXmlItemPropsPartManager extends PartManagerBase {
    static $t: Type;
    static readonly s: string;
    static readonly u: string;
    static readonly t: string;
    protected get_m(): string;
    readonly m: string;
    n(a: OfficeApplication): string;
    o(a: ST_ConformanceClass): string;
    protected get_g(): boolean;
    readonly g: boolean;
}
